# check and install office 2013 (non retrail/click-to-run version)
# 2017 foo.li systeme + software

$version        = '2013'
$internal       = '15.0' #internal version for Office 2013
$filetype       = 'exe'
$packagesearch  = 'Microsoft Office*' + $version + '*'
$url            = '\\unxfsv001\software\nonfree\m\ms\office\office2013\Office 2013 SP1 X86 Pro Plus VL MULTi-12 gen2\de\setup.exe'
$url64          = $url
$ofccfg         = $env:TEMP + '\ofc13.xml'

if ([Environment]::OSVersion.Version -lt (new-object 'Version' 6,1)) {
    Write-Host 'unsupported operatingsystem, Windows 7 minimum'
    throw $_.Exception
 } else {
    Write-Host 'supported operatingsystem'
}

$xmlcontent = $(' 
<!--*************************************************
OFFICE 2013 setup file
2017 foo.li systeme + software
**************************************************-->

<Configuration>
<Display Level="Basic" CompletionNotice="No" SuppressModal="No" AcceptEula="Yes" />
<USERNAME Value="" />
<USERINITIALS Value="" />
<COMPANYNAME Value="" />
<PIDKEY Value="YC7DKG2NP32QQC3J6H88GVGXT" />
<Setting Id="AUTO_ACTIVATE" Value="0" />
<Setting Id="SETUP_REBOOT" Value="Never" />
<INSTALLLOCATION Value="" />
<OptionState Id="ACCESSFiles" State="Absent" Children="force" />
<OptionState Id="EXCELFiles" State="Local" Children="force" />
<OptionState Id="XDOCSFiles" State="Local" Children="force" />
<OptionState Id="LyncCoreFiles" State="Absent" Children="force" />
<OptionState Id="OneNoteFiles" State="Local" Children="force" />
<OptionState Id="OUTLOOKFiles" State="Local" Children="force" />
<OptionState Id="PPTFiles" State="Local" Children="force" />
<OptionState Id="PubPrimary" State="Absent" Children="force" />
<OptionState Id="GrooveFiles2" State="Absent" Children="force" />
<OptionState Id="VisioPreviewerFiles" State="Local" Children="force" />
<OptionState Id="WORDFiles" State="Local" Children="force" />
<OptionState Id="SHAREDFiles" State="Local" Children="force" />
<OptionState Id="TOOLSFiles" State="Local" Children="force" />
</Configuration>
')
    
# steht auch da, wenn bspw. nur Access 2013 Runtime montiert wurde....elends scheiss drecksgfoetz !
# ohne check ist aber auch kacke. hier halt eine "billig variante"
$cheapver = (get-itemproperty -literalpath HKLM:\SOFTWARE\Classes\Outlook.Application\ -ea SilentlyContinue).'(default)'
if (($cheapver -like "*15.0*")  -or ($cheapver -like "*16.0*")) {
  Write-Host -ForegroundColor DarkYellow "Office 2013 or higher already installed"
} else {
  Write-Host -ForegroundColor DarkYellow "Office 2013..."
  if (Test-Path $url) {
    if (!(Test-Path $ofccfg)) {
        Write-Host -ForegroundColor DarkYellow "creating Office 2013 answer file"
        Set-Content -Value $xmlcontent -Path $ofccfg
    }
    Start-Process -FilePath "$url" -ArgumentList "/config $ofccfg" -Wait
    #Install-ChocolateyPackage $packageName $installerType $fullInstallArgs $url -checksum $checksum -checksumType $checksumType
  } else {
    Write-Host -ForegroundColor DarkRed "couldn't find or access office 2013 setup files"
  }
}
